import { HttpClient } from '@angular/common/http';
import { Component } from '@angular/core';
import { CreatePxeTemplateComponent } from './create-pxeTemplate/create-pxe-template/create-pxe-template.component';
import { MatDialog } from '@angular/material/dialog';
import { EditPxeTemplateComponent } from './edit-pxe-template/edit-pxe-template.component';

@Component({
  selector: 'app-pxe',
  templateUrl: './pxe.component.html',
  styleUrl: './pxe.component.css'
})
export class PxeComponent {
  pxeTemplates: any[] = []; // Inicializa el array de plantillas
  itemsPerPage: number = 30;
  currentPage: number = 1;

  constructor(public dialog: MatDialog, private http: HttpClient) { }

  ngOnInit(): void {
    this.loadPxeTemplates();
  }

  loadPxeTemplates(): void {
    const url = `http://127.0.0.1:8080/pxe-templates?page=${this.currentPage}&itemsPerPage=${this.itemsPerPage}`;
    this.http.get<any>(url).subscribe({
      next: data => {
        this.pxeTemplates = data['hydra:member'];
        console.log('Plantillas PXE cargadas:', this.pxeTemplates);
      },
      error: error => {
        console.error('Error al cargar plantillas PXE:', error);
      }
    });
  }

  addPxeTemplate() {
    const dialogRef = this.dialog.open(CreatePxeTemplateComponent, {
    });

    dialogRef.afterClosed().subscribe(() => {
      this.loadPxeTemplates();
    });
  }

  showPxeInfo(template: any) {
    // Lógica para mostrar información de una plantilla
  }

  deletePxeTemplate(uuid: string) {
    // Lógica para eliminar una plantilla
  }

  editPxeTemplate(template: any) {
    const dialogRef = this.dialog.open(EditPxeTemplateComponent, {
      data: template
    });

    dialogRef.afterClosed().subscribe(() => {
      this.loadPxeTemplates();
    });
  }
}
